Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.rest.controller
Class SpringRESTController

    java.lang.Object
      org.apache.cocoon.rest.controller.SpringRESTController

All Implemented Interfaces:
  Controller, ApplicationContextAware

    public class SpringRESTController

extends Object
implements Controller, ApplicationContextAware

This controller is responsible for the execution of instances of REST controller beans. Note that each controller implementation must be available as Spring bean. For that purpose you can use the `RESTController` annotation and load all beans from a particular package automatically. See http://static.springframework.org/spring/docs/2.5.x/reference/beans.html#beans-classpath-scanning for details.

Constructor Summary
`SpringRESTController()`

Method Summary
`void` | `execute(OutputStream outputStream)`
`CacheKey` | `getCacheKey()` This method returns the cache key that might be available after the setup phase.
`void` | `setAnnotationCollector(AnnotationCollector annotationCollector)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setMethodDelegator(MethodDelegator methodDelegator)`
`void` | `setup(String controllerName, Map<String,Object> inputParameters, Map<String,? extends Object> configuration)`
`static
`<T> T`
` | `unpackProxy(T proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringRESTController

    public SpringRESTController()

Method Detail

### getCacheKey

    public CacheKey getCacheKey()

  Description copied from interface: `Controller`
  This method returns the cache key that might be available after the setup phase.

  Specified by:
    `getCacheKey` in interface `Controller`
  Returns:
    A `CacheKey` for the controller or `null` if no cache key can be calculated.

### setup

    public void setup(String controllerName,
                      Map<String,Object> inputParameters,
                      Map<String,? extends Object> configuration)

  Specified by:
    `setup` in interface `Controller`

### execute

    public void execute(OutputStream outputStream)

  Specified by:
    `execute` in interface `Controller`

### setAnnotationCollector

    public void setAnnotationCollector(AnnotationCollector annotationCollector)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`
  See Also:
    `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`

### setMethodDelegator

    public void setMethodDelegator(MethodDelegator methodDelegator)

### unpackProxy

    public static <T> T unpackProxy(T proxy)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.